//
//  FaceDetectionPluginConnector.cpp
//  Native Examples
//
//  Created by Andreas Schacherbauer on 05/08/15.
//  Copyright (c) 2015 Wikitude. All rights reserved.
//

#include "FaceDetectionPluginConnector.h"


FaceDetectionPluginConnector::FaceDetectionPluginConnector(WTFaceDetectionPluginViewController *faceDetectionViewController_) :
_faceDetectionViewController(faceDetectionViewController_)
{}

FaceDetectionPluginConnector::~FaceDetectionPluginConnector()
{}

void FaceDetectionPluginConnector::faceDetected(const float *modelViewMatrix) {
    [_faceDetectionViewController setFaceIsRecognized:YES atPosition:modelViewMatrix];
}

void FaceDetectionPluginConnector::faceLost() {
    [_faceDetectionViewController setFaceIsRecognized:NO atPosition:nullptr];
}

void FaceDetectionPluginConnector::projectionMatrixChanged(const float *projectionMatrix) {
    [_faceDetectionViewController setFaceAugmentationProjectionMatrix:projectionMatrix];
}
